Game Develop Core: gd::ProjectExtensionsDialog Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
gd::ProjectExtensionsDialog Class Reference
IDE Dialogs ( Pre-made dialogs to be used to implement a development environment )

Dialog designed for editing the extensions used by a project. More...

`#include <ProjectExtensionsDialog.h>`

Inheritance diagram for gd::ProjectExtensionsDialog:
[legend]

## Public Member Functions

| ProjectExtensionsDialog (wxWindow *parent, gd::Project &project_)

## Public Attributes

wxStaticText * | authorTxt
wxStaticBitmap * | StaticBitmap2
wxStaticBitmap * | maccompatibleBmp
wxCheckListBox * | ExtensionsList
wxStaticText * | StaticText2
wxButton * | FermerBt
wxStaticText * | StaticText6
wxTextCtrl * | infoEdit
wxMenu | notUsedPlatformMenu
wxListCtrl * | platformList
wxStaticText * | StaticText1
wxStaticText * | StaticText3
wxHyperlinkCtrl * | HyperlinkCtrl1
wxMenuItem * | removePlatformMenuItem
wxMenuItem * | usePlatformMenuItem
wxStaticText * | StaticText5
wxStaticText * | StaticText7
wxStaticLine * | StaticLine1
wxHyperlinkCtrl * | helpBt
wxStaticText * | licenseTxt
wxMenu | usedPlatformMenu
wxStaticText * | StaticText4
wxStaticBitmap * | wincompatibleBmp
wxStaticBitmap * | linuxcompatibleBmp

## Static Protected Attributes

static const long | ID_LISTCTRL1 = wxNewId()
static const long | ID_STATICTEXT1 = wxNewId()
static const long | ID_CHECKLISTBOX1 = wxNewId()
static const long | ID_STATICTEXT9 = wxNewId()
static const long | ID_TEXTCTRL2 = wxNewId()
static const long | ID_STATICTEXT5 = wxNewId()
static const long | ID_STATICTEXT3 = wxNewId()
static const long | ID_STATICTEXT6 = wxNewId()
static const long | ID_STATICTEXT4 = wxNewId()
static const long | ID_STATICTEXT7 = wxNewId()
static const long | ID_STATICBITMAP2 = wxNewId()
static const long | ID_STATICBITMAP4 = wxNewId()
static const long | ID_STATICBITMAP1 = wxNewId()
static const long | ID_STATICTEXT8 = wxNewId()
static const long | ID_HYPERLINKCTRL1 = wxNewId()
static const long | ID_STATICLINE1 = wxNewId()
static const long | ID_STATICBITMAP5 = wxNewId()
static const long | ID_HYPERLINKCTRL2 = wxNewId()
static const long | ID_STATICTEXT2 = wxNewId()
static const long | ID_BUTTON3 = wxNewId()
static const long | ID_MENUITEM1 = wxNewId()
static const long | ID_MENUITEM2 = wxNewId()

## Detailed Description

Dialog designed for editing the extensions used by a project.

The documentation for this class was generated from the following files:

- ProjectExtensionsDialog.h
- ProjectExtensionsDialog.cpp